//(C) Wolfgang Gossel (2011)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org

#include <iostream>
#include <string>
#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

using namespace std;
class transferResults
{
  public:
         transferResults(){};
         ~transferResults(){};
         void setFile(char file_load[], char transferPath[]);
         void getPointsFromFile();
         void analyze_file_content();
         void setGridParams(long lngNumCols, long lngNumRows, long lngNumPer, long lngNumLay, double dblXLL, double dblYLL, double dblCellS);
         void writeGridFile(long lngPerNum, long lngLayNum, wxString wxstrValues);
                  
  private: 
         char *infile; 
         char *path; 
         char *outfile;
         double *z;
         double dblXMin, dblYMin, dblCellSize;
         long lngNCols, lngNRows, lngPeriods, lngLayers;
         string file_content;     
};
